devguard
ActionsId

Get the details of a single action by id.

GET
/actions/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/actions/string/"
{  "id": "string",  "shortId": -9007199254740991,  "name": "string",  "organizationId": "string",  "integrationCredentialId": "string",  "externalTicketConfiguration": null,  "scheduleId": "string",  "template": "string",  "status": "ACTIVE",  "createdAt": "string",  "updatedAt": "string",  "lastError": "string",  "lastErrorAt": "string",  "integrationCredential": {    "id": "string",    "organizationId": "string",    "type": "GITHUB",    "integrationSlug": "string",    "name": "string",    "configuration": null,    "encryptedCredentials": "string",    "status": "ACTIVE",    "createdAt": "string",    "updatedAt": "string",    "lastSyncAt": "string"  },  "schedule": {    "id": "string",    "slug": "string",    "name": "string",    "description": "string",    "createdAt": "string",    "updatedAt": "string",    "archivedAt": "string",    "organizationId": "string",    "ruleSet": "string"  },  "externalTickets": [    {      "id": "string",      "organizationId": "string",      "actionId": "string",      "sequenceNumber": -9007199254740991,      "externalId": "string",      "externalUrl": "string",      "title": "string",      "status": "OPEN",      "createdAt": "string",      "updatedAt": "string",      "externalCreatedAt": "string",      "externalUpdatedAt": "string",      "metadata": null    }  ]}

How is this guide?